/**
 * XActRelationshipPertinentInfo.java
 *
 * File generated from the medication::XActRelationshipPertinentInfo uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActRelationshipPertinentInfo.
 *
 * 
 */

@XmlType(name = "XActRelationshipPertinentInfo")
@XmlEnum
@XmlRootElement(name = "XActRelationshipPertinentInfo")
public enum XActRelationshipPertinentInfo {
	@XmlEnumValue("SPRT")
	SPRT("SPRT"),
	@XmlEnumValue("CAUS")
	CAUS("CAUS"),
	@XmlEnumValue("MFST")
	MFST("MFST"),
	@XmlEnumValue("REFR")
	REFR("REFR"),
	@XmlEnumValue("SUBJ")
	SUBJ("SUBJ");
	
	private final String value;

    XActRelationshipPertinentInfo(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XActRelationshipPertinentInfo fromValue(String v) {
        for (XActRelationshipPertinentInfo c: XActRelationshipPertinentInfo.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}